<template>
  <q-btn-dropdown flat round dense class="notification">
    <template v-slot:label>
      <q-btn
        flat
        round
        dense
        :ripple="false"
        color="red-7"
        icon="notifications"
        class="btn-notification"
      >
        <q-badge v-if="notificationCount > 0" color="blue" floating>{{notificationCount}}</q-badge>
      </q-btn>
    </template>
    <list-notifications />
  </q-btn-dropdown>
</template>

<script>
import { mapGetters } from 'vuex';
import ListNotifications from '~/components/user/ListNotifications.vue';

export default {
  components: { ListNotifications },
  computed: {
    ...mapGetters({
      notificationCount: 'notifications/getNotificationCount'
    })
  }
};
</script>

<style lang="scss" scoped>
.btn-notification {
  /deep/ .q-focus-helper {
    background: transparent !important;

    &::after {
      background: transparent !important;
    }
  }
}

.notification {
  /deep/ .q-btn-dropdown__arrow {
    display: none !important;
  }
}
</style>
